update buildroot to 2017.02.11

This commit is contained in:
jbnadal
2018-05-22 15:35:47 +02:00
parent 4bf1f5e091
commit a3c10bd762
9257 changed files with 433426 additions and 1701 deletions

View File

@@ -0,0 +1,16 @@
config BR2_PACKAGE_INADYN
bool "inadyn"
depends on BR2_USE_MMU # Uses fork()
depends on !BR2_STATIC_LIBS # dlopen()
select BR2_PACKAGE_LIBCONFUSE
select BR2_PACKAGE_LIBITE
help
INADYN is a free DynDNS client. It gives the possibility
to have your own fixed hostname registered on the internet,
although your IP might be changing.
https://github.com/troglobit/inadyn
comment "inadyn needs a toolchain w/ dynamic library"
depends on BR2_STATIC_LIBS
depends on BR2_USE_MMU

View File

@@ -0,0 +1,44 @@
#!/bin/sh
#
# Start & stop the inadyn client
#
CONFIG=/etc/inadyn.conf
# check if CONFIG exists, print message & exit if it doesn't
[ ! -f $CONFIG ] && ( echo "The config file "$CONFIG" is missing...exiting now." && exit 2 )
# Allow a few customizations from a config file. Especially inadyn
# must be explicitly enabled by adding ENABLED="yes" in this file.
test -r /etc/default/inadyn && . /etc/default/inadyn
case "$1" in
start)
printf "Starting inadyn: "
if test "${ENABLED}" != "yes" ; then
echo "SKIPPED"
exit 0
fi
start-stop-daemon -b -q -S -p /var/run/inadyn.pid -x /usr/sbin/inadyn
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping inadyn: "
if test "${ENABLED}" != "yes" ; then
echo "SKIPPED"
exit 0
fi
start-stop-daemon -q -K -p /var/run/inadyn.pid -x /usr/sbin/inadyn
[ $? = 0 ] && echo "OK" || echo "FAIL"
rm -f /var/run/inadyn.pid
;;
restart)
"$0" stop
"$0" start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,11 @@
# Basic configuration file for inadyn
#
# /etc/inadyn.conf
iface = eth0
period = 300
provider default@dyndns.org {
username = test
password = test
hostname = test
}

View File

@@ -0,0 +1,2 @@
# Locally computed
sha256 763c53eb3856decfe8b921cab8a54b428b079a62264fbcf6c89690713d63529a inadyn-v2.0.tar.gz

View File

@@ -0,0 +1,48 @@
################################################################################
#
# inadyn
#
################################################################################
INADYN_VERSION = v2.0
INADYN_SITE = $(call github,troglobit,inadyn,$(INADYN_VERSION))
INADYN_LICENSE = GPLv2+
INADYN_LICENSE_FILES = COPYING
INADYN_AUTORECONF = YES
INADYN_DEPENDENCIES = host-pkgconf libconfuse libite
# Needed for autoreconf to work properly, see ./autogen.sh
define INADYN_FIXUP_M4_DIR
mkdir $(@D)/m4
endef
INADYN_POST_EXTRACT_HOOKS += INADYN_FIXUP_M4_DIR
ifeq ($(BR2_PACKAGE_OPENSSL),y)
INADYN_CONF_OPTS += --enable-openssl
INADYN_DEPENDENCIES += openssl
else ifeq ($(BR2_PACKAGE_GNUTLS),y)
INADYN_DEPENDENCIES += gnutls
else
INADYN_CONF_OPTS += --disable-ssl
endif
define INADYN_INSTALL_SAMPLE_CONFIG
$(INSTALL) -D -m 0600 package/inadyn/inadyn.conf \
$(TARGET_DIR)/etc/inadyn.conf
endef
INADYN_POST_INSTALL_TARGET_HOOKS += INADYN_INSTALL_SAMPLE_CONFIG
define INADYN_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/inadyn/S70inadyn \
$(TARGET_DIR)/etc/init.d/S70inadyn
endef
define INADYN_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/inadyn/inadyn.service \
$(TARGET_DIR)/usr/lib/systemd/system/inadyn.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -sf ../../../../usr/lib/systemd/system/inadyn.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/inadyn.service
endef
$(eval $(autotools-package))

View File

@@ -0,0 +1,10 @@
[Unit]
Description=DDNS client
After=syslog.target network.target
[Service]
ExecStart=/usr/bin/inadyn
Restart=always
[Install]
WantedBy=multi-user.target